Black Friday Black Friday
Black Friday výprodej! Až 80 % extra bodů zdarma! Více informací zde

Diskuze: Pomoc s Javascriptem na webu

JavaScript JavaScript Pomoc s Javascriptem na webu American English version English version

Aktivity (1)
Avatar
Georgin
Člen
Avatar
Georgin:8. listopadu 12:26

Potřeboval bych pomoct s Javascriptem na tomto webu: http://vcelapro.kvalitne.cz/index.html
Je tam dvakrát knihovna jQuery, což je asi problém. Jedna ovládá hover menu a menu v mobilní verzi. A ta druhá je tam kvůli lightboxu. Konzola pak vyhazuje nějaké chyby.

Zkusil jsem: Zkoušel jsem nechat jednu jQuery knihovnu, pak nefungovalo jedno nebo druhé (menu nebo lightbox).

Chci docílit: Potřebuji, aby fungovalo menu i lightbox.

 
Odpovědět 8. listopadu 12:26
Avatar
Peter Mlich
Člen
Avatar
Peter Mlich:8. listopadu 15:37

Hm, to jsi mnoho nezkusil.

  • Jquery musi byt na strance jenom jedna. To je asi jasne.
  • Problem je, ze pokud plugin1 pouziva jinou verzi nez plugin2, pak je treba mit oba pluginy pro stejnou verzi. Vyber si, ktera by to mela byt a oprav zbytek html, css, js kodu.
  • No, a az to budes mit, pak je treba zkouknout jestli si take neprepisujes inicializacni casti. Ty je treba spojit do jednoho kodu.

Muze se to ukazat jako drbacka na 3 dny.

Co tak koukam do html kodu stranky, tak bych musel prostudovat jednotlive neminifikovane verze kodu obou pluginu, abych ti dokazal rici, co je problem. A to prostudovani samotne vypada jako problematicke.

  • jquery-1.11.0.min.js - super prehistoricka verze (nejnovejsi je 3.3.1)
  • jquery-migrate-1.2.1.min.js - asi berlicka, ktera pridava asi funkce z novejsi verze
  • responsive.js - tohle jsou hrozne strasidelne kody pro menu (definuji globalni promenne mimo svou class, protoze zadnou ani nemaji)
  • responsiveCore.js - totez
  • lightbox-plus-jquery.min.js - taky strasidelne spojovat 2 js do jednoho, jquery verze 3.2.1

Vidim to tak, ze bude asi nejjednodussi najit si nejnovejsi verze obou pluginu. Vybrat tu starsi z nich a pokusit se najit ten druhy plugin pro stejnou verzi jquery.
A nebo, zkus najit jine menu, fungujici podobne. Ten lightbox bezi v podstate na skoro aktualni verzi jquery. Takze menu bezici na aktualni verzi jquery by s tim mohlo take fungovat.
Hura, zpet na google.

Ps. Na ty inicializacni casti jsem nekoukal. Ten fuj kod menu se mi fakt nezamlouval. A lightbox se asi s nicim byt nebude. Spis dochazi k prepisovani tojo jquery na lepsi, ale pro menu jiz nefunkcni verzi.

Editováno 8. listopadu 15:39
 
Nahoru Odpovědět 8. listopadu 15:37
Děláme co je v našich silách, aby byly zdejší diskuze co nejkvalitnější. Proto do nich také mohou přispívat pouze registrovaní členové. Pro zapojení do diskuze se přihlas. Pokud ještě nemáš účet, zaregistruj se, je to zdarma.

Zobrazeno 2 zpráv z 2.